Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.util
Class SimpleSSLSocketFactory

    java.lang.Object
      javax.net.SocketFactory
          javax.net.ssl.SSLSocketFactory
              org.jivesoftware.util.SimpleSSLSocketFactory

    public class SimpleSSLSocketFactory

extends SSLSocketFactory

SSLSocketFactory that accepts any certificate chain and also accepts expired certificates.

Author:
  Matt Tucker

Constructor Summary
`SimpleSSLSocketFactory()`

Method Summary
`Socket` | `createSocket()`
`Socket` | `createSocket(InetAddress inaddr, int i)`
`Socket` | `createSocket(InetAddress inaddr, int i, InetAddress inaddr2, int j)`
`Socket` | `createSocket(Socket socket, String s, int i, boolean flag)`
`Socket` | `createSocket(String s, int i)`
`Socket` | `createSocket(String s, int i, InetAddress inaddr, int j)`
`static SocketFactory` | `getDefault()`
`String[]` | `getDefaultCipherSuites()`
`String[]` | `getSupportedCipherSuites()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleSSLSocketFactory

    public SimpleSSLSocketFactory()

Method Detail

### getDefault

    public static SocketFactory getDefault()

### createSocket

    public Socket createSocket()
                        throws IOException

  Overrides:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(Socket socket,
                               String s,
                               int i,
                               boolean flag)
                        throws IOException

  Specified by:
    `createSocket` in class `SSLSocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress inaddr,
                               int i,
                               InetAddress inaddr2,
                               int j)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(InetAddress inaddr,
                               int i)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String s,
                               int i,
                               InetAddress inaddr,
                               int j)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### createSocket

    public Socket createSocket(String s,
                               int i)
                        throws IOException

  Specified by:
    `createSocket` in class `SocketFactory`
  Throws:
    `IOException`

### getDefaultCipherSuites

    public String[] getDefaultCipherSuites()

  Specified by:
    `getDefaultCipherSuites` in class `SSLSocketFactory`

### getSupportedCipherSuites

    public String[] getSupportedCipherSuites()

  Specified by:
    `getSupportedCipherSuites` in class `SSLSocketFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.